
-- Striping of backups to multiple files and multiple drives
EXECUTE dbo.DatabaseBackup
@Databases = 'AdventureWorks',
@Directory = 'C:\Backup, D:\Backup',
@BackupType = 'FULL',
@Verify = 'Y',
@Compress = 'Y',
@CheckSum = 'Y',
@NumberOfFiles = 4,
@LogToTable = 'Y'

-- Striping of backups to multiple files and multiple network shares
EXECUTE dbo.DatabaseBackup
@Databases = 'AdventureWorks',
@Directory = '\\OLA\Backup1, \\OLA\Backup2, \\OLA\Backup3, \\OLA\Backup4',
@BackupType = 'FULL',
@Verify = 'Y',
@Compress = 'Y',
@CheckSum = 'Y',
@NumberOfFiles = 16,
@LogToTable = 'Y'