
-- Prerequisites
-- Create database master key (and back it up)
-- Create server certificate (and back it up)

-- Backup a database with SQL Server 2014 native encryption
EXECUTE dbo.DatabaseBackup
@Databases = 'AdventureWorks',
@Directory = 'C:\Backup',
@BackupType = 'FULL',
@Compress = 'Y',
@Encrypt = 'Y',
@EncryptionAlgorithm = 'AES_256',
@ServerCertificate = 'MyCertificate',
@LogToTable = 'Y'

-- Backup a database with Red Gate SQLBackup encryption
EXECUTE dbo.DatabaseBackup
@Databases = 'AdventureWorks',
@Directory = 'C:\Backup',
@BackupType = 'FULL',
@BackupSoftware = 'SQLBACKUP',
@Compress = 'Y',
@Encrypt = 'Y',
@EncryptionAlgorithm = 'AES_256',
@EncryptionKey = 'MyPassword',
@LogToTable = 'Y'

-- LiteSpeed and Idera SQL safe backup is supported as well