
-- Backup to Azure Blob Storage (In Beta)

-- Prerequisites
-- Create storage account (Azure Portal)
-- Create container (Azure Portal)
-- Create credential (SSMS) -- CREATE CREDENTIAL olahallengren WITH IDENTITY= 'StorageAccount', SECRET = 'StorageAccessKey'

EXECUTE dbo.DatabaseBackupAzureBeta
@Databases = 'model',
@URL = 'https://olahallengren.blob.core.windows.net/backup',
@Credential = 'olahallengren',
@BackupType = 'FULL',
@Verify = 'Y',
@Compress = 'Y',
@CheckSum = 'Y',
@LogToTable = 'Y'

-- https://manage.windowsazure.com/@olahallengren.onmicrosoft.com#Workspaces/StorageExtension/StorageAccount/olahallengren/Container/backup/Blobs